import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - api
 *
 */
export class PortalBackendConfigApi {
    /**
     * 获取门户列表（分页）
     * @param {*} params
     */
    static findPage(params) {
        return Request.get('/portalDesignManage/page', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/portalDesignManage/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/portalDesignManage/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalDesignManage/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalDesignManage/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/portalDesignManage/detail', params);
    }

    /**
     * 获取列表
     * @param {*} params
     */
    static list(params) {
        return Request.getAndLoadData('/portalDesignManage/list', params);
    }
}